E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot::SlotImpBase Class Reference

Used as a base class to all slot implementation classes (such as G::Slot::SlotImp1), allowing them to be used as bodies to the associated slot reference-counting handle class (eg. More...

`#include <gslot.h>`

Inheritance diagram for G::Slot::SlotImpBase:

## Public Member Functions
| SlotImpBase ()
| Default constuctor.
virtual | ~SlotImpBase ()
| Destructor.
void | up ()
| Increments the reference count.
void | down ()
| Decrements the reference count and does "delete this" on zero. More...

## Detailed Description

Used as a base class to all slot implementation classes (such as G::Slot::SlotImp1), allowing them to be used as bodies to the associated slot reference-counting handle class (eg.

G::Slot::Slot1).

Definition at line 108 of file gslot.h.

## Member Function Documentation

void G::Slot::SlotImpBase::down | ( |  | ) |

Decrements the reference count and does "delete this" on zero.

Definition at line 37 of file gslot.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gslot.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gslot.cpp